[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'IniPropStorage' (#lcl)

# TCustomIniPropStorage.DoEraseSections

Performs actions needed to remove the section section and its subsections from the underlying INI storage.

## Declaration

Source position: inipropstorage.pas line 45

`public procedure TCustomIniPropStorage.DoEraseSections(`
`const ARootSection: string`
`); override;`

## Arguments

`ARootSection` |  | The path to the section that will be erased.

## Description

DoEraseSections is an overridden String function in TCustomIniPropStorage. It implements the abstract virtual method defined in the TCustomPropertyStorage ancestor.

ARootSection contains the name of the section in IniFile removed in the method.

DoEraseSections gets a list of section names found in the INI file, and calls IniFile.EraseSection to remove the section along with its identifiers and values. Other child sections which have ARootSection as a prefix are removed as well.

DoEraseSections is used in the SaveProperties method, and is assigned as the OnEraseSetion event handler for the RTTI TPropsStorage instance used in the method.

## See also

TCustomPropertyStorage.DoEraseSections |  | Remove identifiers and values stored below in the specified root section.
TCustomPropertyStorage.OnSaveProperties |  | Event handler signalled when the Save method is completed.
TCustomPropertyStorage.SaveProperties |  | Saves property values to the storage mechanism for the container.